Modify

Opened 7 years ago

Closed 7 years ago

Last modified 7 years ago

#4602 closed Bugs (fixed)

Problems with proto::N under MSVC 2010

Reported by: ru.elric@… Owned by: Eric Niebler
Milestone: To Be Determined Component: proto
Version: Boost 1.44.0 Severity: Problem
Keywords: Cc:

Description

I'm using boost 1.44 with MSVC 2010.

It seems that proto::N cannot be used as array size wildcard with types other than char with this compiler.

For example, using the following grammar:

struct grammar:
  proto::terminal<wchar_t[proto::N]>
{};

leads to the following compilation error:

traits.hpp(382): error C2148: total size of array must not exceed 0x7fffffff bytes
1>          matches.hpp(409) : see reference to class template instantiation 'boost::proto::terminal<T>' being compiled
1>          with
1>          [
1>              T=wchar_t [2147483647]
1>          ]
1>          matches.hpp(1005) : see reference to class template instantiation 'boost::proto::detail::matches_<Expr,Grammar>' being compiled
...

Test source attached.

Attachments (1)

test.cpp (993 bytes) - added by ru.elric@… 7 years ago.

Download all attachments as: .zip

Change History (4)

Changed 7 years ago by ru.elric@…

Attachment: test.cpp added

comment:1 Changed 7 years ago by Eric Niebler

Status: newassigned

comment:2 Changed 7 years ago by Eric Niebler

Resolution: fixed
Status: assignedclosed

(In [65793]) knock down value of proto::N, fixed #4602

comment:3 Changed 7 years ago by Eric Niebler

(In [65798]) Merged revisions 64371,64661,65793,65796-65797 via svnmerge from https://svn.boost.org/svn/boost/trunk

........

r64371 | eric_niebler | 2010-07-26 13:04:15 -0700 (Mon, 26 Jul 2010) | 1 line

make proto work on msvc with /clr option

........

r64661 | eric_niebler | 2010-08-07 07:44:27 -0700 (Sat, 07 Aug 2010) | 1 line

fix proto::matches bug with lambda_matches, array types and the wildcard

........

r65793 | eric_niebler | 2010-10-06 15:13:27 -0700 (Wed, 06 Oct 2010) | 1 line

knock down value of proto::N, fixed #4602

........

r65796 | eric_niebler | 2010-10-06 16:24:23 -0700 (Wed, 06 Oct 2010) | 1 line

vc9 needs workaround, too

........

r65797 | eric_niebler | 2010-10-06 16:39:36 -0700 (Wed, 06 Oct 2010) | 1 line

one more time

........

Modify Ticket

Change Properties
Set your email in Preferences
Action
as closed The owner will remain Eric Niebler.
The resolution will be deleted.

Add Comment


E-mail address and name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.